package com.huiju.welcome.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.welcome.model.SysRole;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-07-12
 */
@Mapper
public interface SysRoleMapper extends BaseMapper<SysRole> {

    /**
     * 角色列表
     * @param pg
     * @param roleName
     * @return
     */
    IPage<SysRole> roleManagementList(IPage<SysRole> pg, String roleName);

    /**
     * 获取所有角色
     * @return
     */
    List<SysRole> selectroleAll();
}
